<!--- function Names: setrainbowstyles, rainbow                        
This tag may be used on non commercial sites
as long as this copyright notice is attached
Use of the code is as is and no warranties
of merchantability are implied          

Copyright 2001 Don Vawter Consulting, Inc.
              www.vawter.com
              don@vawter.com
The latest version available at http://www.vawter.com
    Release history:
		v 1.0 Released 24 November 2001
 					
 setrainbowstyles([colorlist])
 rainbow(st[,colorlist])
 st is the string to be transformed and returned
 colorlist is an optional comma delimitted list of colors
 --->
<cfscript>

	//setrainbowstyles writes out style tags for the chosen colors
	//this should be called in the head section of the page and needs to
	//be called only once on the page unless you defined a new colorlist
	//the functions takes an optional argument (a colorlist) which will take
	//precedence over the default
	function setrainbowstyles(){
		var colorlist="burlywood,blue,brown,blueviolet,darkorange,gold,lime,olive,navy,tomato";
		var i=1;
		if(arraylen(arguments) GT 0) colorlist=arguments[1];
		writeoutput("<style>");
		for(i=1;i LE listlen(colorlist);i=i+1){
			writeoutput("." & listgetat(colorlist,i) & "{color:"  & listgetat(colorlist,i) & ";}");
		}
		writeoutput("</style>");
		return "";
	}
	//rainbow takes a string and substitures random colors for the letters
	//the string to be transformed is required. If you provide a color list
	//as the second argument (optional) it takes precedence over the defaul
	//you should call setrainbowstyles before using this function
	function rainbow(st){
		var colorlist="burlywood,blue,brown,blueviolet,darkorange,gold,lime,olive,navy,tomato";
		var outst="";
		var i=1;
		var j=1;
		if(arraylen(arguments) GT 1) colorlist=arguments[2];
		for(i=1;i le len(st);i=i+1){
			j=randrange(1,listlen(colorlist));
			outst=outst & "<span class='" & listgetat(colorlist,j) & "'>" & mid(st,i,1) & "</span>";
		}
		return outst;
	}
</cfscript>